local function loader(name, modpath)
    local src = assert(_ejoysdk.lread(modpath), "file not found " .. modpath .. '@' .. name)
    local ret = assert(load(src, modpath, 'bt'), "source error ".. modpath)(name)
    if ret then
        return ret
    end
end

table.insert(package.searchers, function(name)
    local modpath = name:gsub("%.", "/") .. '.lua'
    return loader, modpath
end)

require "ejoysdk_lua.ejoysdk"
local EV = require "ejoysdk_lua.ejoysdk_vendors"
EV.init({EJOY={type='webview'}})
